set multiplot

!plot for bands
set ylabel 'Energy (eV)'
set ytics  2

unset key

x1 = 0.5774
x2 = 0.9107
x3 = 1.5773
x4 = 1.8419
x5 = 2.4193
x6 = 2.7526
xmax = 3.4193
ymin = -2
ymax = 2
ef = 6.4182

set origin 0.0,0.0
set size 0.8,1.0

set xrange [0:xmax]
set yrange [ymin:ymax]
set xtics ("{/Symbol G}" 0, "M" x1, "K" x2, "{/Symbol G}" x3, "A" x4, "L" x5, "H" x6, "A" xmax)
set arrow 1 nohead from x1,ymin to x1,ymax lt 2
set arrow 2 nohead from x2,ymin to x2,ymax lt 2
set arrow 3 nohead from x3,ymin to x3,ymax lt 2
set arrow 4 nohead from x4,ymin to x4,ymax lt 2
set arrow 5 nohead from x5,ymin to x5,ymax lt 2
set arrow 6 nohead from x6,ymin to x6,ymax lt 2
set arrow 7 nohead from 0,0 to xmax,0 lt 2

plot './TiSe2.band.dat.gnu' using 1:($2-ef) w l

!plot for DOS

unset xtics
unset ytics 
unset arrow 1
unset arrow 2
unset arrow 3
unset arrow 4
unset arrow 5
unset arrow 6
unset ylabel
unset xrange

set xrange [0:10]
set arrow 8 nohead from 0,0 to 10,0 lt 2
set origin 0.8,0.0
set size 0.2,1.0
set xtics 0,5,10

plot './tise2.pdos.dat.pdos_tot' using 2:($1-ef) title "DOS total" w lines, './Ti_dos.dat' using 2:($1-ef) title "Ti" w lines, './Se_dos.dat' using 2:($1-ef) title 'Se' w lines
